Subject: Samterm coredumps on AIX

From: Ed Kubaitis - CCSO <[email-masked]>
Date: Tue, 27 Apr 1993 14:17:53 -0400

Samterm built with AIX xlc V1.2.1 (distributed with AIX 3.2.3) coredumps
during startup. Problem is miscompiled conditional expression in the second
call to border() in samterm/flayer.c:flborder(). Fix is to upgrade to the
latest version of xlc (V1.2.1.4). Or, compile samterm/flayer.c (at least)
with -O. In man-bites-dog fashion, it's a *no*-optimizer bug.              

Ed